Library Version 18.1.40

DB_ENV->get_ext_file_threshold()
Prev | Chapter 13. External Files | Next

## DB_ENV->get_ext_file_threshold()

    #include <db.h>

    int
    DB_ENV->get_ext_file_threshold(DB_ENV *dbenv, u_int32_t *bytes);

The `DB_ENV->get_ext_file_threshold()` method returns the threshold value, in bytes, beyond which data items are stored as external files. This value can be set using DB_ENV->set_ext_file_threshold() . A value of `0` indicates that external files are not in use by default in this environment, unless DB->set_ext_file_threshold() is called to set an external file threshold for a specific database.

The `DB_ENV->get_ext_file_threshold()` method always returns `0` to indicate success.

### Parameters

#### bytes

References memory into which is copied the external file threshold value.

### Class

DB_ENV

### See Also

External Files and Related Methods

Prev | Up | Next
DB_ENV->get_ext_file_dir() | Home | DB_ENV->set_ext_file_dir()